# Class: List

## M_.List()

A graphical list to implement

## Constructor

#### new List()

##### Properties:

Name | Type | Description
--- | --- | ---
`autoLoad` | string |
`tpl` | string |

Implements:
  - M_.Stored

### Extends

- M_.Outlet

### Methods

#### create()

Extend this class to create your UI.

Inherited From:
  - M_.Outlet#create

#### destroy()

Destroy the outlet

Inherited From:
  - M_.Outlet#destroy

#### findEl(selector) → {jQuery}

Search a class or selector in the container, like $.find()

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | string |

Inherited From:
  - M_.Outlet#findEl

##### Returns:

Type
  jQuery

#### getEl() → {jquery}

Return jEl element. Generally the main object.

Inherited From:
  - M_.Outlet#getEl

##### Returns:

the main jQuery element

Type
  jquery

#### render()

Redefine this method to render your UI

#### updateStore() → {type}

##### Returns:

Type
  type